Subject: 24.3; transfer case doesn't work in some instances

From: Paul Eggert <[email-masked]>
Date: Sun, 28 Sep 2014 17:45:49 -0700

Thanks for the bug report.  As near as I can make out, Emacs is behaving 
according to spec, as the documentation for replace-match says:

   "If the replaced text has only capital letters and has at least one 
multiletter word, convert NEWTEXT to all caps.  Otherwise if all words are 
capitalized in the replaced text, capitalize each word in NEWTEXT."

Here neither condition applies so there's no case conversion.  This is how 
replace-match has behaved for a couple of decades.  Perhaps it'd be useful to 
have a variant that behaves differently, but I expect we'd have to make that an 
upward-compatible change somehow.